import request from '@/assets/js/utils/request'
/*
 * =======================采购-查看公告==============================
 * */
//  查询公告
export function queryBaseProcurementBulletinInfo(data) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/queryBaseProcurementBulletinInfo?tenderId=' + data,
    method: 'get'
  })
}
//  保存公告
export function saveBaseProcurementBulletinInfo(data) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/saveBaseProcurementBulletinInfo',
    method: 'post',
    data
  })
}
//  预览公告模板
export function previewProcurementBulletinTemplate(data) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/previewProcurementBulletinTemplate',
    method: 'post',
    data
  })
}
//  供应商-查看- 项目公告
export function seeProjectNotice(packId) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/viewProcurementBulletin?packId=' + packId,
    method: 'post'
  })
}
// 提交采购公告信息
export function submitBulletin(data) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/submitBulletin',
    method: 'post',
    data
  })
}
// 变更公告提交
export function changeBulletin(data) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/changeBulletin',
    method: 'post',
    data
  })
}
// 查询变更公告信息
export function queryChangeMessage(packId) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/queryChangeMessage?packId=' + packId,
    method: 'post'
  })
}
// 变更公告html
export function changeBulletinHtmlById(id) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/changeBulletinHtmlById?id=' + id,
    method: 'post'
  })
}
// 变更公告工作流处理html
export function getChangeBulletinHtml(id) {
  return request({
    url: '/bidprocurement/procurement-bulletin/procurementBulletin/getChangeBulletinHtml?id=' + id,
    method: 'get'
  })
}

